commit:     5069a0bcae4d7500d5f8312a66cf1e06713e549d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 22 14:05:55 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jul 22 14:05:55 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5069a0bc

dev-python/peewee: Fix test failure due to missing hstore ext

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/peewee/peewee-3.17.6.ebuild | 1 +
 1 file changed, 1 insertion(+)

diff --git a/dev-python/peewee/peewee-3.17.6.ebuild 
b/dev-python/peewee/peewee-3.17.6.ebuild
index 29745063bc56..f30e804f1d91 100644
--- a/dev-python/peewee/peewee-3.17.6.ebuild
+++ b/dev-python/peewee/peewee-3.17.6.ebuild
@@ -62,6 +62,7 @@ src_test() {
        initdb -D "${T}"/pgsql || die
        pg_ctl -w -D "${T}"/pgsql start -o "-h '' -k '${T}'" || die
        createdb -h "${T}" peewee_test || die
+       psql -h "${T}" peewee_test -c 'create extension hstore;' || die
 
        local -x PEEWEE_PSQL_HOST="${T}"
        distutils-r1_src_test

Reply via email to